<!DOCTYPE html>
<html lang="es">
    <head>
        <title>Pecas: herramientas editoriales</title>
        <meta charset="utf-8" />
        <meta name="application-name" content="Pecas">
        <meta name="description" content="Conjunto de scripts que agilizan varios de los procesos del quehacer editorial. ">
        <meta name="keywords" content="nika,zhenya,pecas,epub,ebook,publishing,libros,pandoc,ghostscript,tesseract,latex,context,jats,pdf-document,pdf-generation,tex,automation,markdown,html,xhtml,mobi">
        <link type="text/css" rel="stylesheet" href="../css/styles.css">
        <!-- 
        <link rel="shortcut icon" href="favicon.ico">
         -->
    </head>
    <body>
        <header>
            <h1><a href="../index.html">Pecas</a></h1>
            <p>Conjunto de <i>scripts</i> que agilizan varios de los procesos del quehacer editorial.</p>
            <nav>
                <h3>Generales</h3>
                <p><a href="flujo_general.html">Flujo de trabajo general</a></p>
                <p><a href="flujo_digitization.html">Flujo de trabajo para la digitalización</a></p>
                <p><a href="flujo_epub.html">Flujo de trabajo para <span class="versalita">EPUB</span></a></p>
                <p><a href="problemas.html">Solución de problemas / <span class="versalita">FAQ</span></a></p>
                <h3>Documentación</h3>
                <p><a href="herramientas.html">Herramientas</a></p>
                <p><a href="md.html">Markdown</a></p>
                <p><a href="css.html"><span class="versalita">CSS</span></a></p>
                <p><a href="yaml.html"><span class="versalita">YAML</span></a></p>
                <p><a href="js.html">JavaScript</a></p>
            </nav>
            <nav class="espacio-arriba1">
                <h3>Código</h3>
                <p><a href="https://gitlab.com/prolibreros/herramientas/pecas-legacy" target="_blank">GitLab</a></p>
            </nav>
            <nav class="espacio-arriba1">
                <h3>Contacto</h3>
                <p><a href="mailto:hi@perrotuerto.blog">hi@perrotuerto.blog</a></p>
            </nav>
        </header>
        <section>
            <h1 id="uso-de-pcanalytics">Uso de <code>pc-analytics</code></h1>
            <p>Analytics analiza archivos <span class="smallcap">EPUB</span>, <span class="smallcap">XML</span>, <span class="smallcap">XHTML</span> o <span class="smallcap">HTML</span> para un mayor cuidado editorial y técnico.</p>
            <h2 id="dependencias-opcionales">Dependencias opcionales:</h2>
            <ul>
                <li>
                    <p><code>hunspell</code></p>
                </li>
                <li>
                    <p><code>linkchecker</code></p>
                </li>
            </ul>
            <h2 id="uso">Uso:</h2>
            <pre class="">
                <code class="code-line-1">pc-analytics -f [archivo]</code>
            </pre>
            <h2 id="parametro-necesario">Parámetro necesario:</h2>
            <ul>
                <li>
                    <p><code>-f</code> = [file] Archivo <span class="smallcap">EPUB</span>, <span class="smallcap">XML</span>, <span class="smallcap">XHTML</span> o <span class="smallcap">HTML</span> a analizar.</p>
                </li>
            </ul>
            <h2 id="parametros-opcionales">Parámetros opcionales:</h2>
            <ul>
                <li>
                    <p><code>&#45;&#45;deep</code> = Realiza un análisis profundo del archivo.</p>
                </li>
                <li>
                    <p><code>&#45;&#45;json</code> = Crea una salida del análisis en formato <span class="smallcap">JSON</span>.</p>
                </li>
                <li>
                    <p><code>&#45;&#45;yaml</code> = Crea una salida del análisis en formato <span class="smallcap">YAML</span>.</p>
                </li>
                <li>
                    <p><code>&#45;&#45;rotate</code> = Permite rotación aleatoria de las palabras en la nube de palbras de 30° a 150°.</p>
                </li>
            </ul>
            <h2 id="parametros-unicos">Parámetros únicos:</h2>
            <ul>
                <li>
                    <p><code>-v</code> = [version] Muestra la versión.</p>
                </li>
                <li>
                    <p><code>-h</code> = [help] Muestra esta ayuda.</p>
                </li>
            </ul>
            <h2 id="ejemplo-sencillo">Ejemplo sencillo:</h2>
            <pre class="">
                <code class="code-line-1">pc-analytics -f directorio/al/archivo.epub</code>
            </pre>
            <p>Analiza el <code>archivo.epub</code> y crea una salida <span class="smallcap">HTML</span> con el análisis básico, incluyendo una nube de palabras y una gráfica de pastel.</p>
            <h2 id="ejemplo-con-analisis-profundo">Ejemplo con análisis profundo:</h2>
            <pre class="">
                <code class="code-line-1">pc-analytics -f directorio/al/archivo.epub --deep</code>
            </pre>
            <p>Semejante al ejemplo anterior pero además crea un análisis profundo, solo visible en <span class="smallcap">JSON</span> o <span class="smallcap">YAML</span>; se crea un <span class="smallcap">JSON</span> si no se especificó <code>&#45;&#45;json</code> o <code>&#45;&#45;yaml</code>.</p>
            <h2 id="ejemplo-con-analisis-profundo-y-rotacion">Ejemplo con análisis profundo y rotación:</h2>
            <pre class="">
                <code class="code-line-1">pc-analytics -f directorio/al/archivo.epub --deep --rotate</code>
            </pre>
            <p>Semejante al ejemplo anterior pero además las palabras de la nube serán rotadas aleatoriamente, en lugar de permanecer horizontales.</p>
            <hr class="espacio-arriba3"/>
                <p class="espacio-arriba3">Nota: ¿qué es un <code>análisis profundo</code>?, consúltese la documentación de <span class="smallcap">YAML</span> en &lt;http://pecas.cliteratu.re&gt;.</p>
            </section>
            <footer>
                <nav class="espacio-arriba1">
                    <h3>Código</h3>
                    <p><a href="https://gitlab.com/prolibreros/herramientas/pecas-legacy" target="_blank">GitLab</a></p>
                </nav>
                <nav class="espacio-arriba1">
                    <h3>Contacto</h3>
                    <p><a href="mailto:hi@perrotuerto.blog">hi@perrotuerto.blog</a></p>
                </nav>
                <p class="centrado espacio-arriba1">Pecas es <i>software</i> libre bajo licencia <a href="https://gnu.org/licenses/gpl.html" target="_blank">GPLv3+</a>.</p>
            </footer>
            <style>
            body {margin:0;}
            body > * {float:left;}
            body > section {width:calc(75% - 10em);margin:5em;}
            header {width:calc(25% - 5em);margin-top: 5em;padding:2.5em;background-color:black;color:white;border-radius:0 .5em .5em 0;}
            header h1 {margin:0; font-size: 2em;}
            header h1 + p {margin-top:1em!important;}
            header h3 {margin-top:1em;}
            header a {color: white;}
            header p, footer nav {text-align:left;}
            header p + p, footer p + p {text-indent:0;}
            header nav > p:before {content:"> ";}
            h2:before {content: "> ";}
            div.example h2:before {content: none;}
            div.example:after {display:block;width:100%;content:"Estilo por defecto";margin-top:-1.5em;text-align:center;font-size:.75em;}
            div.example > div {clear:both;}
            div.example > div:last-child {width:94.5%;margin:2em auto;padding:.5em;box-shadow: .1em .1em .5em rgba(0,0,0,.45);}
            div.example > div > div {float:left;width:50%;}
            div.example > div > div:before {display:block;width:100%;margin-bottom:-1em;text-align:center;font-size:.75em;}
            div.example > div > div:first-child:before {content:"Escritura en Markdown";}
            div.example > div > div:last-child:before {content:"Resultado en HTML";}
            div.example + div.example {border-top: 1px dashed black;margin-top:1.5em;padding-top:1.5em;}
            footer {border-top: 1px dashed black; width:calc(100% - 2em); margin: 1em;}
            footer > nav {display:none;}
            footer nav > * {display:inline;}
            footer nav > p:before {content:"> ";}
            footer nav > p:not(:first-of-type):before {content:"| ";}
            @media screen and (max-width: 768px) {
            body > * {float:none;}
            body > section {width:calc(100% - 5em);margin:2.5em;}
            header {width:calc(100% - 5em);margin-top:0;border-radius:0;}
            header > p:first-of-type {display:inline;}
            header > nav:not(:first-of-type) {display:none;}
            header nav > * {display:inline;}
            header nav > p:before {content:"| ";}
            header h3 + p:before {content: none;}
            header h3:before {content:"\a\a";white-space: pre;}
            header h3:first-of-type:before {content:"\a";}
            header h3:after {content: " > ";}
            div.example > div, div.example > div > div {float:none;width:100%;}
            footer {word-wrap: break-word;}
            footer > nav {display:block;text-align:center;}
            }
            </style>
        </body>
    </html>
